org.apache.lucene.search

## Class DocValuesStats.SortedDocValuesStats

- java.lang.Object
- - org.apache.lucene.search.DocValuesStats<BytesRef>
  - - org.apache.lucene.search.DocValuesStats.SortedDocValuesStats

Enclosing class:
  DocValuesStats<T>

    public static class DocValuesStats.SortedDocValuesStats
    extends DocValuesStats<BytesRef>

Holds statistics for a sorted DocValues field.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.search.DocValuesStats

`DocValuesStats.DoubleDocValuesStats, DocValuesStats.LongDocValuesStats, DocValuesStats.NumericDocValuesStats<T extends Number>, DocValuesStats.SortedDocValuesStats, DocValuesStats.SortedDoubleDocValuesStats, DocValuesStats.SortedLongDocValuesStats, DocValuesStats.SortedNumericDocValuesStats<T extends Number>, DocValuesStats.SortedSetDocValuesStats`

### Field Summary

Fields
`protected SortedDocValues` `sdv`

### Fields inherited from class org.apache.lucene.search.DocValuesStats

`field, max, min`

### Constructor Summary

Constructors
`protected` `SortedDocValuesStats(String field)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doAccumulate(int count)` Called after `DocValuesStats.accumulate(int)` was processed and verified that the document has a value for the field.
`protected boolean` `hasValue(int doc)` Returns whether the given document has a value for the requested DocValues field.
`protected boolean` `init(LeafReaderContext context)` Initializes this object with the given reader context.

### Methods inherited from class org.apache.lucene.search.DocValuesStats

`count, field, max, min, missing`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sdv

    protected SortedDocValues sdv

### Constructor Detail

#### SortedDocValuesStats

    protected SortedDocValuesStats(String field)

### Method Detail

#### init

    protected final boolean init(LeafReaderContext context)
                          throws IOException

Description copied from class: `DocValuesStats`
Initializes this object with the given reader context. Returns whether stats can be computed for this segment (i.e. it does have the requested DocValues field).

Specified by:
  `init` in class `DocValuesStats<BytesRef>`
Throws:
  `IOException`

#### hasValue

    protected final boolean hasValue(int doc)
                              throws IOException

Description copied from class: `DocValuesStats`
Returns whether the given document has a value for the requested DocValues field.

Specified by:
  `hasValue` in class `DocValuesStats<BytesRef>`
Throws:
  `IOException`

#### doAccumulate

    protected void doAccumulate(int count)
                         throws IOException

Description copied from class: `DocValuesStats`
Called after `DocValuesStats.accumulate(int)` was processed and verified that the document has a value for the field. Implementations should update the statistics based on the value of the current document.

Specified by:
  `doAccumulate` in class `DocValuesStats<BytesRef>`
Parameters:
  `count` - the updated number of documents with value for this field.
Throws:
  `IOException`